HP Views Designer Assistant: EditScreen Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
EditScreen Class Reference

The EditScreen class. More...

`#include <editscreen.h>`

Inheritance diagram for EditScreen:

## Public Member Functions

| EditScreen (QWidget *parent=0)
| EditScreen constructor. More...
void | setController (MainWindowController *controller)
| setController Specifies the edit screen controller. More...

## Private Slots

void | on_browseBtn_clicked ()
| on_browseBtn_clicked This slot is executed when the browse button is clicked.
void | dragEnterEvent (QDragEnterEvent *event)
| dragEnterEvent This slot is executed when the file enter into the screen. More...
void | dropEvent (QDropEvent *event)
| dropEvent This slot is executed when the file is drop into the screen. More...

## Private Member Functions

void | enableDragAndDrop ()
| enableDragAndDrop Enables drag and drop into the screen.
void | showDragError ()
| showDragError Shows error image.
void | showImageAnimation (int start, int end)
| showImageAnimation Shows an image animation. More...

## Private Attributes

Ui::EditScreen * | ui
| ui
MainWindowController * | controller
| controller Edit screen controller.

## Detailed Description

The EditScreen class.

## Constructor & Destructor Documentation

## ◆ EditScreen()

EditScreen::EditScreen | ( | QWidget * | parent = `0` | ) |

explicit

EditScreen constructor.

Parameters

  parent | Edit screen parent widget.

## Member Function Documentation

## ◆ dragEnterEvent

void EditScreen::dragEnterEvent | ( | QDragEnterEvent * | event | ) |

privateslot

dragEnterEvent This slot is executed when the file enter into the screen.

Parameters

  event | Drag enter event.

## ◆ dropEvent

void EditScreen::dropEvent | ( | QDropEvent * | event | ) |

privateslot

dropEvent This slot is executed when the file is drop into the screen.

Parameters

  event | Drop event.

## ◆ setController()

void EditScreen::setController | ( | MainWindowController * | controller | ) |

setController Specifies the edit screen controller.

Parameters

  controller | Edit screen controller.

## ◆ showImageAnimation()

void EditScreen::showImageAnimation | ( | int | start,
|  | int | end
| ) |  |

private

showImageAnimation Shows an image animation.

Parameters

  start | Start animation value.
  end | End animation value.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/editscreen.h
- D:/Documentos/ViewDesignerAssistant/View/editscreen.cpp